Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq Class Reference

`#include <PolicyC.h>`

Inheritance diagram for _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq

[legend]
Collaboration diagram for _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq (void)
| _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq (CORBA::ULong maximum, CORBA::ULong length, CORBA::ULong *data, CORBA::Boolean release = 0)
| _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq (const _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq &rhs)
_TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq& | operator= (const _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq &rhs)
virtual | ~_TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq (void)
CORBA::ULong& | operator[] (CORBA::ULong i)
const CORBA::ULong& | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
| Must deallocate the buffer and then set it to zero.
CORBA::ULong* | get_buffer (CORBA::Boolean orphan = 0)
const CORBA::ULong* | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, CORBA::ULong *data, CORBA::Boolean release)
## Static Public Methods
CORBA::ULong* | allocbuf (CORBA::ULong size)
void | freebuf (CORBA::ULong *buffer)

## Constructor & Destructor Documentation

ACE_INLINE _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::_TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq ( | void )

ACE_INLINE _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::_TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq ( | CORBA::ULong maximum )

ACE_INLINE _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::_TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq ( | CORBA::ULong maximum,
| CORBA::ULong length,
| CORBA::ULong * data,
| CORBA::Boolean release = 0 )

ACE_INLINE _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::_TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq ( | const _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq & rhs )

_TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::~_TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq ( | void )`[virtual]`

## Member Function Documentation

void _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::_allocate_buffer ( | CORBA::ULong length )`[virtual]`

| Ensure that the buffer contains space for at least <length> elements. The constructor must be called for any new elements, the old ones (if any) must be copied into the buffer using operator= and then their destructors must be called. Finally the old buffer must be released. Reimplemented from TAO_Base_Sequence.

void _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::_deallocate_buffer ( | void )`[virtual]`

| Must deallocate the buffer and then set it to zero. Reimplemented from TAO_Base_Sequence.

ACE_INLINE CORBA::ULong * _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::allocbuf ( | CORBA::ULong size )`[static]`

ACE_INLINE void _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::freebuf ( | CORBA::ULong * buffer )`[static]`

ACE_INLINE const CORBA::ULong * _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::get_buffer ( | void ) const

ACE_INLINE CORBA::ULong * _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::get_buffer ( | CORBA::Boolean orphan = 0 )

ACE_INLINE _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq & _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::operator= ( | const _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq & rhs )

ACE_INLINE const CORBA::ULong & _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::operator[] ( | CORBA::ULong i ) const

ACE_INLINE CORBA::ULong & _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::operator[] ( | CORBA::ULong i )

ACE_INLINE void _TAO_Unbounded_Sequence_CORBA_PolicyTypeSeq::replace ( | CORBA::ULong max,
| CORBA::ULong length,
| CORBA::ULong * data,
| CORBA::Boolean release )

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp
- PolicyC.i